SupportSuite

Version | : | v3.0.0
Manual Revision | : | 6th March 2005

Website | : | http://www.kayako.com
Support Desk | : | http://support.kayako.com
Copyright © 2001-2005 Kayako Web Solutions. All Rights Reserved.


SupportSuite

Introduction

SupportSuite is an intuitive web based email and live chat management system that not only helps you to assist your customers but also has powerful self service modules like Knowledgebase, Downloads & Troubleshooter. SupportSuite, with its powerful RFC compliant email parser can handle incoming emails efficiently and reliably. Additionally with features like Service Level Agreements, Work Schedules, Escalations & Alert Rules you can rest assured that your customer issues are handled promptly.
Active Synchronization with MS Outlook using the SyncWorks addin and with ability to Synchronize with Cell Phones using SyncML, all your information stays with you wherever you go.
This manual has detailed instructions on installing, managing and using SupportSuite and utilizing its features efficiently, Revisions are carried out regularly and the latest manual can be downloaded from our support desk at http://support.kayako.com


SupportSuite - Installation

Installation
This section helps you install SupportSuite. Detailed step by step instructions from downloading the relevant files to installing them on your server are provided.
The following steps shall guide you step by step with the installation.
- | Downloading SupportSuite Package
- | Generating and Emailing License Key
- | Setting up your MySQL Database
- | Editing the configuration file
- | Uploading the relevant files onto your server
- | Running the installation script


SupportSuite - Download

Downloading SupportSuite Package
First you need to the download the latest SupportSuite package from the Kayako Members Area.
You will have to login to the Members Area using your Kayako ShopperID and Password which was emailed to you when your license was activated. Incase you have not received your Members Area information, then please contact our Support department by creating a ticket with our support desk.

Once you are logged into the Members Area, you shall see the current available version of SupportSuite with the couple of download links. The download links shall suggest Download SupportSuite version x.x.x (Encoder Type): file size.
For example:
Download SupportSuite v3.0.0 (Zend): 5.3MB

-

 Zend v ionCube
SupportSuite is available in two encoded versions - Zend and ionCube.

-

 Zend Version
To run the Zend version of SupportSuite you should have Zend Optimizer (v2.1.0 or higher) pre-installed on your server.
How do I know if Zend is pre-installed on my server? Is there a way to find out?
There is a simple way to find out if Zend is pre-installed on your server or not. Create a new PHP file, name it phpinfo.php. Once created, type the following code in it exactly as it appears and save it to a directory.
<?php
phpinfo();
?>
Next upload this file to your web server using FTP and open the link in your web browser. You should then see detailed output of your current PHP environment. The phpinfo() displays whether or not Zend Optimizer is pre-installed on your server. If you do not have Zend Optimizer installed, it is recommend you contact your web host or your system administrator.
Means Zend Optimizer is installed on your server:
Means Zend Optimizer is not installed on your server:
More information on Zend and Zend Optimizer can be found at the company website - Zend.com
- ionCube Version
To run the ionCube version of SupportSuite, your need to have ionCube Loaders pre-installed on your server. Although ionCube loaders can be installed just like Zend Optimizer using the “extension” tag in your php.ini, it also supports dynamic linking that allows you to run it without any changes to your php.ini file. This will work only if you have safe_mode set to “Off” and enable_dl set to “On”.
More information on ionCube and ionCube Loaders can be found at the company website - i onCube.com


SupportSuite - License Key

Generating and Emailing License Key
This section of the manual mainly cover the following two sections:
1) | Generating License Key for the software
2) | Downloading/Emailing the License Key
It is important that you generate the license key with the correct domain or else you are bound to get an error.
Generating License Key for the software
Assuming you are yet logged into the Kayako Members Area, if not, the please re-login to the Kayako Members Area from which you shall be generating and downloading the license key from.
Once you are logged into the Members Area, you shall see a section of the page headed - 'SupportSuite License Key'. Just below this header you shall find a text box with a tab button 'Generate License Key' as shown in the following image:

It is here where you need to register your software and generate a license key for it.

-

 What exactly do I need to enter in the Generate License Key box?
You need to generate the license key for the domain on which you shall be installing the software on. For better understanding, please refer to the following under written examples which shall aide you generate license key for your software.
Examples:

I shall be installing my software under the domain - domain.com with the URL to SupportSuite as http://www.domain.com/support/, in that case what is the domain name I need to enter while generating the license key.
Since you are installing the software under - http://www.domain.com/support, the license key for your software needs to be generated for domain.com without "http://" or "www".

Note: For our installation manual, we shall be installing the software under http://www.domain.com/SupportSuite/ hence our license key was generated for the domain - domain.com
Other Examples:
SupportSuite to be installed at | : | Domain for License
http://subdomain.domain.com/ | : | subdomain.domain.com
http://subdomain.domain.com/supportsuite/ | : | subdomain.domain.com
http://localhost/supportsuite | : | localhost
http://127.0.0.1/supportsuite | : | 127.0.0.1
Downloading/Emailing the License Key
Once you have generated the license key for your software, you have two possible ways using which you can get your license key:
a) | Download the license key
b) | Email the license key to the registered email address
a) Download the license key: Using this option you can download the license key from the Kayako Members Area. You can do that by clicking on the 'Download License Key' option button.

Once clicked, your browser shall prompt you to save a file onto your computer local hard drive.

Click on the option 'Save' as save the file onto your hard drive as 'key.php'. Congratulations, you have just downloaded the license key for your software which we shall use while setting it up on your server.
b) Email the license key: Using this feature of Kayako Members Area, you can make the system email the generated License Key to the registered email address which you used while placing the order for the software. This can be done by clicking the 'Email License Key' option button.

Once clicked, the system shall print out a notification confirming the delivery of the license key file to the registered email address.

Once done, you shall soon receive an email from our system with the License Key attached to it.

Save the attached license key file on your computer hard drive as 'key.php' which we shall use while setting up the software on your server.

By following the above mentioned steps, you would have successfully received the License Key for the software. We shall now proceed to the next part of the Installation which is 'Setting up your MySQL Database'


SupportSuite - Setting Database

Setting up your MySQL Database
This section shall guide you with the setting up of your MySQL database. SupportSuite requires a MySQL database to store its data. There are two ways in which you are create and setup your database to work with SupportSuite:
1) | Using phpMyAdmin Interface
2) | Using MySQL Command Line Interface
Note: Setting up of MySQL database on web control panels like PLESK, CPanel, Ensim etc. are not covered in this manual. For information related to any control panels, please refer to their respective manuals. Setting up of database on such control panels can be more easier than the steps mentioned here in.
Using phpMyAdmin Interface: phpMyAdmin is an open source web tool written in PHP intended to handle the administration of MySQL. You may find more information and download phpMyAdmin from http://www.phpmyadmin.net. This section shall explains the following:
a) | Creating a new database using phpMyAdmin
b) | Adding a database user using phpMyAdmin
a) Creating a new database using phpMyAdmin: Login to phpMyAdmin using root access rights to create a new database ('kayako_suite' as referred to in this manual). Once logged in, you shall find your MySQL options. One of the option suggest 'Create new database' with a textbox and a 'Create' button just below it. Add your preferred database name and click on Create.

Once clicked on Create, phpMyAdmin shall create a new database for you.

Congratulations! You now have successfully created a new database which we shall use for SupportSuite.
b) Adding a database user using phpMyAdmin: If you wish to use the same login and password for SupportSuite, using which you initially connected to phpMyAdmin then you may skip this part, although we suggest you do not use root access information for your database.
Assuming you are yet logged into phpMyAdmin, click on the Home icon on the left bar to return to the index page -
Just under the MySQL options, you shall find an option titled 'Privileges', click on it. Once clicked, it shall lead to the 'User Overview' page wherein you shall find an option to 'Add a new user'.

Click on the link and it shall lead you to a page wherein you can add your preferred database user. For Login Information:
- Username: Choose the option 'Use text field' and enter your preferred database login.
- Host: You can choose 'Any host' or 'local'. Usually it is localhost for most servers. Contact your Server Host or refer to the MySQL Documentation for more information.
- Password: Choose as 'Use text field' and enter your desired password in the text box besides it.
- Re-type: Re-enter the same password which you entered in the text box for Password.

Once done, leave the Global privileges blank and click on the 'Go' button to add the desired user. Once clicked, MySQL shall confirm the creation of a new database user - 'You have added a new user'. We now need to assign ALL PRIVILEGES to this new user in the database we earlier created. To do this, please look for the 'Database-specific privileges' which can be found on the very same page. In this section, select the database name, of the database we earlier created, from the drop down list right next to 'Add privileges on the following database'. Once selected, it shall lead to you 'Edit Privileges' section for this specific user. Select ALL the options to grant ALL PRIVILEGES to this user on the database we created.

Once done, click on Go to update database user privileges. Congratulations! You have successfully added a new user using phpMyAdmin.
Using MySQL Command Line Interface: Login to your MySQL Command Line Interface using root access to create a new database and add a new database user.
a) Login to MySQL: First, you need to login to the MySQL interface, once you login you should have something like the following output
> mysql -u root -p
Enter Password: [Enter your root password here]
b) Create a new database and database user: Assuming the database name is 'kayako_suite', user is 'kayako_user', the host is 'localhost' and the password is 'support', enter the following commands:
mysql> create database kayako_suite;
Query OK, 1 row affected (0.02 sec)
mysql> GRANT ALL PRIVILEGES ON kayako_suite.* TO kayako_user@"%" IDENTIFIED BY 'support' WITH GRANT OPTION;
Query OK, 0 rows affected (0.01 sec)
mysql> exit
Bye
>
Congratulations! By executing the above mentioned commands, you have successfully created a new database, a new database user and granted the new user ALL PRIVILEGES to the created database.


SupportSuite - Editing Configuration File

Editing the configuration file
After you have successfully downloaded SupportSuite, you will need to extract and edit the script before uploading it onto your web server. First you need to extract the downloaded package on your computer local hard drive. To extract the downloaded package you shall require WinRAR from RarLab.
What is WinRAR?
WinRAR is a powerful archive manager. It can backup your data and reduce size of email attachments, decompress RAR, ZIP and other files downloaded from Internet and create new archives in RAR and ZIP file format.
Note: You can also use WinZip to extract the downloaded files. You just need to make sure you 'disable' Smart CR/LF Conversion while uncompresing the package. For the purpose of the manual, we are assuming you have downloading WinRAR and are using it to extract the software package files.
To extract the files from the package, open the folder on your computer where you saved the SupportSuite package and right-click on its icon, then choose Extract files from the pop-up menu.

This will open a wizard to guide you with extracting the software package. Accept the default options suggested and the system will untar the files from the tar package.

Once the extraction process is complete, you will find that the process has created a new folder called supportsuite.3.subversion.encodetype (where subversion is the sub-version number of the package you have downloaded while encodetype is the encoder used for the package. Example - supportsuite.3.00.00.zendclosed)
Within the extracted package, you shall find two folders - 'help' and 'upload'. The help folder contains all the documents required in setting up and using the software while the upload folder contains the SupportSuite files that need to be uploaded on the web server.
However, before you upload the files you must make some changes to the SupportSuite configuration file. You need to edit the file config.php, which can be found in the config directory within the upload folder (upload » config » config.php).
To edit the config.php file, you will need to open the file in a text editor such as Windows® WordPad or EditPlus.
Note: We do not recommend that you use Windows® Notepad to edit config.php, as Notepad has problems displaying the line breaks in some file types.

You need to edit the first few settings of this file in order install and run SupportSuite on you sever. The file is commented in order to help you fill in the necessary settings.
$_DB["hostname"] | This sets the address of your database server. On most installations the database server is located on the same computer as the web server, in which case the address should be set to 'localhost', otherwise use the address of the database server as supplied by your web host.
$_DB["username"] | This variable contains the username provided to you by your host for connecting to your database server.
$_DB["password"] | The password that accompanies the database username should be entered here.
$_DB["name"] | This value should be altered to state the name of the database that will contain your installation on the database server.
Note: For the purpose of this manual, we shall use the same information which we used while Setting up the Database. Hence, our configuration file would look like:
$_DB["hostname"] | = | localhost
$_DB["username"] | = | kayako_user
$_DB["password"] | = | support
$_DB["name"] | = | kayako_suite
Once you have finished editing the config.php file, you should save it again. You are now ready to upload all the relevant files onto your web server.


SupportSuite - Uploading Relevant Files

Uploading the relevant files onto your server
After you have successfully edited and saved the config.php file, it is time to upload the SupportSuite scripts to your web server.
There are several methods available to transfer the files from your computer to your web server. The most common method in use is transfer via FTP. Currently there are various third party FTP client application available. We suggest you use popular applications like CuteFTP or BulletProof FTP to upload the files onto your web server. For this example we will use BulletProof FTP to proceed with the installation.
Most FTP client applications will upload PHP files in ASCII format, this needs to be changed before you upload the files onto your web server. SupportSuite uses Zend Encoder and IonCube Encoder to protect the source code which requires the PHP files be uploaded in Binary format as uploading the files in ASCII format will print out errors.
Using BulletProof FTP, create a new folder called 'supportsuite' on your web server within which we need to do is drag all the files in the upload folder from its location on your computer's hard disk to the web publishing folder on the server.

This is will place all the files in queue. You now have to command the FTP client to initiate the transfer of files by pressing the Go button -

Depending upon the speed of your internet connection, uploading all the files could take several minutes to complete. After completion, you should see that the web server now contains a folder called supportsuite containing a perfect copy of the files in the upload folder on your computer's hard disk

You are now ready to run the installation script for SupportSuite.


SupportSuite - Running the installation script

Running the installation script
Once all the SupportSuite files have been successfully uploaded to your web server, you will now need to run the SupportSuite Installation Script.
To start the installation process, open your browser and type the HTTP address of your SupportSuite directory, followed by /setup/setup.php, then hit the <Enter> key or press the Go button to open the script.

Once you run the installation script, the first thing you shall see is the 'Kayako End User License Agreement' which you can refer to further details before proceeding with the installation.

To proceed with the installation, you need to click on the 'I Agree' tab found at the bottom of the page. Clicking on the I Agree button will take you to the server and database verification page, where the software recognizes your server specifications, checking if it meets the requirements of the software.

On clicking the Next button on this page, it shall lead you to the Information page. You need to fill in the requested details which when filled will create an administrator user for the software.

The next few steps shall set up SupportSuite tables on your database. The complete set up is automated, to begin just click on the 'Start Auto Setup' tab. The auto setup shall create tables and insert data into for the various modules of SupporyWorks.

After the last module troubleshooter has been set, the auto setup shall be complete. To proceed with the installation, click on the Settings tab.

The software shall now create and insert relevant settings into the various module tables we created in the auto setup. To proceed with the installation, click on the 'Settings' tab.

Click on the 'Templates' tab to continue with the installation. On click tab, the software shall setup the Templates tables by creating various categories and inserting data into it.

Click on the 'Languages' tab to proceed with the installation. Once clicked, the software shall insert the English language pack for both client as well as admin interface.

The setup of SupportSuite is almost complete. Click on the 'Finish' tab to complete the installation.

It is important that you now delete the setup folder to prevent any unauthorized re-installation of SupportSuite. Once deleted, you can start using the software with the admin password you specified during the installation.
Note: You will not be able to enter the Admin Control Panel until you have deleted the setup folder.